QGIS Application - Bug report #5487
QGIS crash when reshaping a polygon
2012-04-24 08:13 AM - Ben Madin

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 15105
Description

| hope this is the right place for this, but when digitising (in this case using the feature replace tool I'm getting intermittent crashes on
OSX.

The files I'm working on are all postgis linked databases. I'm not free to share them, but | might be able to excise a polygon or two if that is
likely to help.

| have attached the crash report. It doesn't appear to matter whether or not | have recently saved. (It is the dev build from William
Kyngesbury, but if it is significantly superseded my apologies)

cheers

Ben

Process: QGIS [16775]

Path: /Applications/QGIS-1.9.app/Contents/MacOS/QGIS
Identifier:  org.qgis.qgis-dev

Version: 1.9.90 (1.9.90 [e13e45f])

Code Type:  X86-64 (Native)

Parent Process: launchd [403]

Date/Time:  2012-04-24 23:06:24.336 +0800
OS Version:  Mac OS X 10.7.3 (11D50)
Report Version: 9

Interval Since Last Report: 27945 sec

Crashes Since Last Report: 1

Per-App Interval Since Last Report: 27938 sec

Per-App Crashes Since Last Report: 1

Anonymous UUID: 555AE868-F83A-4064-A6B9-FDE33CC20FE4

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

VM Regions Near 0:
>

__TEXT 0000000100000000-0000000100529000 [ 5284K] r-x/rwx SM=COW
/Applications/QGIS-1.9.app/Contents/MacOS/QGIS
Application Specific Information:
objc[16775]: garbage collection is OFF

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0 org.osgeo.geos 0x0000000105b6c35a GEOSGeomTypeld_r + 31

1 org.qgis.qgis_core 0x0000000103dccadc QgsGeometry::reshapelLine(GEOSGeom_t const*, GEOSGeom_t const*) +
68

2 org.qgis.qgis_core 0x0000000103dcd509 QgsGeometry::reshapePolygon(GEOSGeom_t const*, GEOSGeom_t
const*) + 207

3 org.qgis.qgis_core 0x0000000103dd2ecb QgsGeometry::reshapeGeometry(QList<QgsPoint> const&) + 347

4 org.qgis.qgis-dev 0x00000001000faec0 QgsMapToolReshape::canvasReleaseEvent(QMouseEvent*) + 1080

5 org.qgis.qgis_gui 0x00000001041ea147 QgsMapCanvas::mouseReleaseEvent(QMouseEvent*) + 103

6 QtGui 0x0000000104cd8570 QWidget::event(QEvent*) + 2384

7 QtGui 0x000000010505c3fc QFrame::event(QEvent*) + 44

8 QtGui 0x00000001050e21c7 QAbstractScrollArea::viewportEvent(QEvent*) + 23

9 QtGui 0x000000010528debb QGraphicsView::viewportEvent(QEvent*) + 123

10 QtGui 0x00000001050e4550 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48

11 QtCore 0x00000001049cfe77 QCoreApplicationPrivate::send ThroughObjectEventFilters(QObject*, QEvent*)
+151

12 QtGui 0x0000000104c7f9ce QApplicationPrivate::notify_helper(QObject*, QEvent*) + 142

13 QtGui 0x0000000104c87cc0 QApplication::notify(QObject*, QEvent*) + 7680

14 org.qgis.qgis_core 0x0000000103d9d31a QgsApplication::notify(QObject*, QEvent*) + 72

15 QtCore 0x00000001049d014c QCoreApplication::notifylnternal(QObject*, QEvent*) + 124

16 QtGui 0x0000000104c83f8d QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*,
QWidget*, QWidget**, QPointer<QWidget>&, bool) + 333

17 QtGui 0x0000000104c34495 gt_mac_handleMouseEvent(NSEvent*, QEvent:: Type, Qt::MouseButton,
QWidget*) + 741

18 com.apple.AppKit 0x00007fff8abe2916 -[NSWindow sendEvent:] + 6872

19 QtGui 0x0000000104c295f7 -[QCocoaWindow sendEvent:] + 87

20 com.apple.AppKit 0x00007fff8ab7b16d -[NSApplication sendEvent:] + 5593

21 QtGui 0x0000000104c2e634 -[QNSApplication sendEvent:] + 84

22 com.apple.AppKit 0x00007fff8ab111f2 -[NSApplication run] + 555

23 QtGui 0x0000000104¢39410
QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlags>) + 1824

24 QtCore 0x00000001049cf054 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
25 QtCore 0x00000001049c¢f404 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

26 QtCore 0x00000001049d183c QCoreApplication::exec() + 188

27 org.qgis.qgis-dev 0x000000010000922e main + 6875

28 org.qgis.qgis-dev 0x0000000100007444 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager

0 libsystem_kernel.dylib 0x00007fff924b57e6 kevent + 10

1 libdispatch.dylib 0x00007fff927ed5be _dispatch_mgr_invoke + 923

2 libdispatch.dylib 0x00007fff927ec14e _dispatch_mgr_thread + 54
Thread 2:

0 libsystem_kernel.dylib 0x00007fff924b4df2 __ select + 10

1 QtCore 0x00000001049a44b0 QProcessManager::run() + 96

2 QtCore 0x00000001048be5da QThreadPrivate::start(void*) + 298
3 libsystem_c.dylib 0x00007fff9682c8bf _pthread_start + 335

4 libsystem_c.dylib 0x00007fff9682fb75 thread_start + 13
Thread 3:: com.apple.CFSocket.private

0 libsystem_kernel.dylib 0x00007fff924b4df2 __ select + 10

1 com.apple.CoreFoundation 0x00007fff8efdbcdb _ CFSocketManager + 1355
2 libsystem_c.dylib 0x00007fff9682c8bf _pthread_start + 335

3 libsystem_c.dylib 0x00007fff9682fb75 thread_start + 13

Thread 4:

0 libsystem_kernel.dylib 0x00007fff924b5192 _ workq_kernreturn + 10
1 libsystem_c.dylib 0x00007fff9682e594 _pthread_wqthread + 758
2 libsystem_c.dylib 0x00007fff9682fb85 start_wqthread + 13

Thread 5:

0 libsystem_kernel.dylib 0x00007fff924b5192 _ workq_kernreturn + 10
1 libsystem_c.dylib 0x00007fff9682e594 _pthread_wqthread + 758
2 libsystem_c.dylib 0x00007fff9682fb85 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):

rax: 0x00000000ffffffff rbx: 0x00000001071092a0 rcx: 0x0000000000017f40 rdx: Ox1aaeaf901f71f752

rdi: 0x00000001071092a0 rsi: 0x0000000000000000 rbp: 0x00007fff5fbfe1cO rsp: 0x00007ffi5fbfe1b0

r8: 0x00000000dc13b5be r9: 0x00000000dc162374 r10: 0x0000000000000200 r11: 0x00000001048267c0
r12: 0x0000000000000001 r13: 0x000000013bae9bd0 r14: 0x0000000000000000 r15: 0x000000013bbb83d0
rip: 0x0000000105b6¢35a rfl: 0x0000000000010202 cr2: 0x0000000000000000
Logical CPU: 0

Binary Images:

0x100000000 - 0x100528fff +org.qgis.qgis-dev (1.9.90 - 1.9.90 [e13e45f])
<5299F68C-E29C-3BE8-AC42-C1ECBOE8D04C> /Applications/QGIS-1.9.app/Contents/MacOS/QGIS

0x10067¢c000 - 0x100708fe7 +libgwt.dylib (5.2.1 - compatibility 5.2.0) <4A3B001E-7092-3080-8C5B-B4F3A6E5BOEO>
/Applications/QGIS-1.9.app/Contents/MacOS/lib/libqwt.dylib

0x10073e000 - 0x100775fe7 +QtSql (4.8.0 - compatibility 4.8.0) <32380D99-20F4-24DB-21FF-8B5DSE3AB4EB>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtSql.framework/Versions/4/QtSq|

0x10078c000 - 0x101ddffef +QtWebKit (4.9.0 - compatibility 4.9.0) <50C57F81-A89C-5904-2FDA-DODAC7532E62>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtWebKit.framework/Versions/4/QtWebKit

0x102721000 - 0x103659fe7 +org.gdal.gdal (1.9.0 - GDAL/OGR 1.9.0-1)
<A2D3959C-FF7D-36C1-9C0A-539BD6A59BA1 > /Library/Frameworks/GDAL.framework/Versions/1.9/GDAL

0x103d1e000 - 0x10404efff +org.qgis.qgis_core (1.9.90 - qgis_core 1.9.90)
<A2FC1ADO0-943E-34B4-98C2-C21034840E67>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgis_core.framework/Versions/1.9/qgis_core

0x10416f000 - 0x104353ff7 +org.qgis.qgis_gui (1.9.90 - qgis_gui 1.9.90)
<4DDF62B4-8DA2-3C80-AE8F-D7D982245500>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgis_gui.framework/Versions/1.9/qgis_gui

0x104431000 - 0x10447dfff +org.qgis.qgis_analysis (1.9.90 - qgis_analysis 1.9.90)
<4F1D105D-576E-3185-A32E-69BF331C8DC1>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgis_analysis.framework/Versions/1.9/qgis_analysis

0x104499000 - 0x1044b6fff +libpg.dylib (5.4.0 - compatibility 5.0.0) <76121F64-1FC4-3343-8994-EAE8975D6A 13>
/Applications/QGIS-1.9.app/Contents/MacOS/lib/libpg.dylib

0x1044¢1000 - 0x104820fe7 +org.sqlite.sqlite3 (3.7.6.3 - SQLite3 3.7.6.3-1)
<F0D211B6-2C91-CC46-64BC-69185DB7ACCS5> /Library/Frameworks/SQLite3.framework/Versions/3/SQLite3

0x104840000 - 0x10487dfff +QtXml (4.8.0 - compatibility 4.8.0) <F317937A-9222-86FC-DB24-3627CD0127CB>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml

0x104897000 - 0x104b5afff +QtCore (4.8.0 - compatibility 4.8.0) <BD3642E1-7F6A-135B-33CC-AE7DED6BD817>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

0x104bf7000 - 0x1055ebff7 +QtGui (4.8.0 - compatibility 4.8.0) <5206720A-3163-9E98-EC54-C51B6FE4F6DC>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x1058af000 - 0x1059ecfef +QtNetwork (4.8.0 - compatibility 4.8.0) <BF358B09-BEBC-932F-D61C-FB3FEB91F372>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

0x105a4f000 - 0x105a9ffef +QtSvg (4.8.0 - compatibility 4.8.0) <EB7FD9D9-7482-6FDE-8B2B-3BE9C79581C3>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg

0x105ac0000 - 0x105aeffff +org.maptools.proj (4.7.0 - PROJ 4.7.0-2) <7FCE23B7-503C-8C93-6BD2-5D08C5B262DB>
/Library/Frameworks/PROJ.framework/Versions/4/PROJ

0x105afb000 - 0x105bc5ff7 +org.osgeo.geos (3.3.2 - GEOS 3.3.2) <1F89A7B1-D86E-3E72-A707-A4CF08593D62>
/Library/Frameworks/GEOS.framework/Versions/3/GEOS

0x105¢86000 - 0x105cc2fff libiodbc.2.dylib (4.18.0 - compatibility 4.0.0)
<2123BFBC-8C2B-3C77-B976-E085CAF7F706> /usr/lib/libiodbc.2.dylib

0x105cd1000 - 0x105cdefff libiodbcinst.2.dylib (4.18.0 - compatibility 4.0.0)
<A7B56F64-3F9B-378C-ABEF-6B8C4C4471AB> /usr/lib/libiodbcinst.2.dylib

0x105ce4000 - 0x105df4fef +com.kyngchaos.UnixImagelO (1.3.2 - UnixImagelO 1.3.2)
<87EF6636-8251-3422-BD10-E2AF46 AFEB4F> /Library/Frameworks/UnixImagelO.framework/Versions/D/UnixImagelO

0x105e2c000 - 0x105ebefff +libogdi.dylib (??? - ???) <2CD3C7D0-156E-37FE-A231-FBOF8819CA61>
/Library/Frameworks/GDAL.framework/Versions/1.9/Libraries/libogdi.dylib

0x105e6b000 - 0x105e73fef +libintl.dylib (10.1.0 - compatibility 10.0.0) <937F7B46-EC9C-4441-43FD-4CD508BE99E2>
/Applications/QGIS-1.9.app/Contents/MacOS/lib/libintl.dylib

0x107707000 - 0x10770dfef libcldcpuengine.dylib (1.50.69 - compatibility 1.0.0)
<C0C4CC37-F2FD-301C-A830-EC54D86612D5>
/System/Library/Frameworks/OpenCL.framework/Libraries/libcldcpuengine.dylib

0x107714000 - 0x107717ff7 libCoreFSCache.dylib (??? - ???) <0E2C3D54-7D05-35E8-BA10-2142B7C03946>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib

0x10772d000 - 0x10772dff5 +cl_kernels (??7? - ??7?) <B6BOABF7-34F7-4580-A929-900A7428697C> cl_kernels

0x107773000 - 0x107773ffd +cl_kernels (??? - ??7?) <F8FC6843-0601-4C43-83B7-2D1CD51B8CDA> cl_kernels

0x10779a000 - 0x1077d5ff7 +libgjpeg.dylib (??7? - ???) <797A8FC4-0B64-BE86-64A3-C2E63E26F00F>
/Applications/QGIS-1.9.app/Contents/Plugins/imageformats/libgjpeg.dylib

0x108850000 - 0x108857fff com.apple.URLMount.AFPPIugin (4.0 - 4.0)
<91C71C5D-562D-37C4-9131-6E6F086288DE> /System/Library/Filesystems/NetFSPlugins/afp.bundle/Contents/MacOS/afp

0x10885e000 - 0x108869ff7 com.apple.AppleSRP (1.0 - 1) <E6D40A04-D788-3799-ABA4-819055C70951>
/System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP

0x10889d000 - 0x10889¢ff3 +cl_kernels (??7? - ???) <B2FOADCO0-19BE-4B40-8106-54DC87C5675B> cl_kernels

0x1088a3000 - 0x1088a4ffc +cl_kernels (??7? - ???) <18F94537-DD94-4700-99A6-BBD36F93C239> cl_kernels

0x1088be000 - 0x1088ccfff +libcoordinatecaptureplugin.so (??? - ?7?)
<679C8DD2-FD3A-33DA-92DB-0A94F8D8F88D>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libcoordinatecaptureplugin.so

0x1088d6000 - 0x1088ecfff +libdelimitedtextplugin.so (??? - ???) <24C0C830-7050-3789-908A-1720470153E8>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libdelimitedtextplugin.so

0x1088f9000 - 0x1088fcff7 +libgrass_rtree.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<EB638262-F980-331D-A341-ACBBC9F7983C> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_rtree.6.4.2.dylib

0x10aafd000 - 0x10aafeff3 +cl_kernels (7?7 - 7?7) <DA682D79-8398-4F8E-9B5E-5E85E0E3A421> cl_kernels

0x10abb4000 - 0x10abc1ff7 +libggispython.1.9.90.dylib (1.9.90 - compatibility 1.9.90)
<4570EC5D-8C1A-3FA5-864D-39095A396976> /Applications/QGIS-1.9.app/Contents/MacOS/lib/libggispython.1.9.90.dylib

0x10abc7000 - Ox10abcafff _collections.so (??7? - ???) <8E22D1F8-A82A-3557-B2CB-4B764170AEEB>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_collections.so

0x10abd0000 - 0x10abd3fff operator.so (??? - ???) <OEBCABA4-0095-3FE1-A553-7CD80C3065E1>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/operator.so

0x10abd9000 - 0x10abd9fff _bisect.so (??? - ??77?) <75BF5441-4BDE-3AD4-B257-66DE10F73886>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_bisect.so

0x10abdf000 - 0x10abecff7 +libdelimitedtextprovider.so (??7? - ???) <3930CFBB-6FDC-3352-AAEC-9A48F803910A>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libdelimitedtextprovider.so

0x10abf4000 - 0x10ac1aff7 +libdiagramoverlay.so (??7? - ???) <73DBA026-57EF-3F53-8AC7-2A43990327FE>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libdiagramoverlay.so

0x10ac33000 - 0x10ac33fff +libgrass_linkm.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<3FB51AFD-EBFE-3A1A-8124-768F0B1725C8> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_linkm.6.4.2.dylib

0x10ac36000 - 0x10ac36fff grp.so (??7? - ???) <ABBF8AC9-4AF2-3F95-8045-AE4307C3DB56>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/grp.so

0x10aff8000 - 0x10affcff7 +libgrass_gmath.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<EA54AAF6-6988-308A-BA3E-381B0E725BD5> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_gmath.6.4.2.dylib

0x10c17f000 - 0x10c1atff7 +libdxf2shpconverterplugin.so (??? - ???) <79868697-1708-3C19-A943-2B80B9C7680F>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libdxf2shpconverterplugin.so

0x10c1b4000 - 0x10c1ccff7 +libgdalprovider.so (??7? - ???) <AC27E68C-63C7-3657-A015-9720131EDD7A>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libgdalprovider.so

0x10c1d8000 - 0x10c1ddff7 + (??? - ??7) <A8D89F50-8664-3E04-BAE6-F79903FA2FC9>
/Applications/QGIS-1.9.app/Contents/Frameworks/OpenThreads.framework/Versions/2/OpenThreads

0x10c1e3000 - 0x10c1e9fff com.apple.agl (3.1.4 - AGL-3.1.4) <088639B9-02F5-3137-B1BF-3BE6210442A5>
/System/Library/Frameworks/AGL.framework/Versions/A/AGL

0x10c1f0000 - 0x10c1f8fef +libintl.dylib (10.1.0 - compatibility 10.0.0) <937F7B46-EC9C-4441-43FD-4CD508BE99E2>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libintl.dylib

0x10c3be000 - 0x10c3dafff +libpg.dylib (5.3.0 - compatibility 5.0.0) <1FB622DB-BAB7-F4CD-D9A9-7E024478EBB7>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libpg.dylib

0x10c3e4000 - 0x10c3eefff +libgrass_dbmibase.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<99DE3284-9F3A-31D5-B329-41AA48B7B8EF >
/Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_dbmibase.6.4.2.dylib

0x10c3f5000 - 0x10c3fafff +libgrass_dbmiclient.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<67205E9E-4FE2-3ACF-9720-CBC16AA4D7AB>
/Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_dbmiclient.6.4.2.dylib

0x10c500000 - 0x10c53dff7 +libevis.so (??7? - ???) <FB518435-7F7B-3FB0-8787-F6048BCA08F0>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libevis.so

0x10c555000 - 0x10c5ceff7 +libgeorefplugin.so (??7? - ???) <47537DB7-C8B9-3CE8-93AD-F0327407573E>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libgeorefplugin.so

0x10c602000 - 0x10c796fff +org.gnu.gsl (1.15 - GSL 1.15-2) <5657A8D45-290E-3DF8-B04A-CD065A34E5F 1>
/Library/Frameworks/GSL.framework/Versions/1/GSL

0x10c7f2000 - 0x10c833fff +libglobeplugin.so (??? - ???) <AA5C9542-AC10-3EB2-890C-B2ADE054DF51>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libglobeplugin.so

0x10c86f000 - 0x10c951fe7 +QtOpenGL (4.8.0 - compatibility 4.8.0) <F98CF685-06D7-70F0-85B4-A6ECF4D9061F>
/Applications/QGIS-1.9.app/Contents/Frameworks/QtOpenGL.framework/Versions/4/QtOpenGL

0x10c99b000 - 0x10cbaaff7 + (??? - ???) <75E07CD3-7A51-32EE-B7EF-22AB41F399BE>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgDB.framework/Versions/3/osgDB

0x10cd49000 - 0x10cdb9ff7 + (??? - 2?7) <6COE60A8-9428-3676-81C4-DE15EA7FDF23>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgGA.framework/Versions/3/0sgGA

0x10ce19000 - 0x10d342ff7 + (??7 - ???) <7D614260-EDB4-3455-B514-3433F2EF8F9D>
/Applications/QGIS-1.9.app/Contents/Frameworks/osg.framework/Versions/3/osg

0x10d6e7000 - 0x10d859fff + (??? - ???) <4AB5D2EC-F30D-375B-A2C7-1B38FA762147>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgViewer.framework/Versions/3/osgViewer

0x10d950000 - 0x10da61fff + (??? - ???) <C2E7C6CE-F984-3512-8A54-895C3848A95F>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgEarth.framework/Versions/2/osgEarth

0x10df14000 - 0x10df7fff7 + (??7 - ???) <2560B9D8-A3D5-37B4-9270-E4EDCBB45575>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgEarthFeatures.framework/Versions/2/osgEarthFeatures

0x10dfe5000 - 0x10e091fff + (??? - ??7?) <83DCC910-68D3-3EB1-8FE3-67250C311102>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgEarthUtil.framework/Versions/2/osgEarthUtil

0x10e113000 - 0x10e4f1fe7 + (??7? - 7?7) <7C6EAE64-447B-3C58-A404-EA2F90ECESEA>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgUtil.framework/Versions/3/osgUtil

0x10e8b3000 - 0x10e987ff7 + (??7? - ?7??) <C6E51973-1BD0-3206-87AB-9ADIFA95F9A8>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgText.framework/Versions/3/osg Text
0x10ea4d000 - 0x10eb97fff + (??? - ???) <B97C9089-C98F-34DE-9BBD-63904859411E>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgSim.framework/Versions/3/0osgSim

0x10eccc000 - 0x10ed3cfff + (??? - 2??) <6865E6B2-91E5-3F61-BD82-E58B5279AAFA>
/Applications/QGIS-1.9.app/Contents/Frameworks/osg Terrain.framework/Versions/3/osgTerrain

0x10eda2000 - 0x10edf6ff7 + (??? - ??2?) <A7CFA151-2935-364A-BAF2-8B3E71E2806B>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgF X.framework/Versions/3/osgFX

0x10ee3a000 - 0x10ef40fff + (??? - ???) <3F1AOEBC-F7A8-393E-8897-D199CFC3647B>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgShadow.framework/Versions/3/0sgShadow

0x10f021000 - 0x10fdc2ff7 +org.gdal.gdal (1.8.1 - GDAL/OGR 1.8.1-2) <46A9B527-95B6-3E8B-B504-C3E5E3372F54>
/Library/Frameworks/GDAL.framework/Versions/1.8/GDAL

0x1103c6000 - 0x1103fefe7 +libogdi.dylib (??? - ???) <F2BF367E-21A2-CEC2-1B5B-64E0508DBB1F>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libogdi.dylib

0x11040a000 - 0x11046fff7 + (??7? - 7??) <6ADFAB55-1D4A-3278-BA65-646DD3A86D1E>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgEarthSymbology.framework/Versions/2/osgEarthSymbology

0x1104bf000 - 0x11055fff7 + (??7? - ??7) <841607AE-356C-3523-8F99-AD422C9EDO4F>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgWidget.framework/Versions/3/osgWidget

0x1105dd000 - 0x110653fff + (??? - ???) <CCB2D247-CE6D-3216-AA36-034469B3CBD5>
/Applications/QGIS-1.9.app/Contents/Frameworks/osgManipulator.framework/Versions/3/osgManipulator

0x1106a6000 - 0x1106dcfff +libgpsimporterplugin.so (??? - ???) <OFDE54BD-6E4C-304A-ADDF-F59412FFE282>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libgpsimporterplugin.so

0x1106€ef000 - 0x110706ff7 +libgpxprovider.so (??? - ???) <56D502C4C-E99B-34DE-81AF-3369E8A3B563>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libgpxprovider.so

0x110715000 - 0x11089eff7 +libgrassplugin.so (??? - ??7?) <A9595EF6-ACC9-3E80-9BA2-C5884A7D1C55>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libgrassplugin.so

0x11091b000 - 0x110935ff7 +org.qgis.qgisgrass (1.9.90 - qgisgrass 1.9.90)
<9B8D6239-7457-3C5F-BDDE-C9F69E88BBEO>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgisgrass.framework/Versions/1.9/qgisgrass

0x11093e000 - 0x11097efff +libgrass_gis.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<DB698C98-99C2-375D-BA03-4A1FC43C43B1> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_gis.6.4.2.dylib

0x110990000 - 0x1109bfff7 +libgrass_vect.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<1318CF46-5C06-3934-B045-AD0804AD8A30> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_vect.6.4.2.dylib

0x1109cc000 - 0x1109d1fff +libgrass_gproj.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<6586E0B1-60A6-34AE-990B-27A53F0E9FA2> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_gproj.6.4.2.dylib

0x1109d5000 - 0x1109daff7 +libgrass_datetime.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<B82D1CB8-DF24-3449-A19F-5703EF0A8681>
/Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_datetime.6.4.2.dylib

0x1109de000 - 0x1109ebfff +libgrass_dig2.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<92EC8ADG6-1688-3AC6-AB80-08590D60COE7> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_dig2.6.4.2.dylib

0x1109f0000 - 0x110a01fff +libgrass_dgl.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<29C731C5-2198-3620-A714-A8CC5DD81FC3> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_dgl.6.4.2.dylib

0x110a07000 - 0x110a24fff +libgrassprovider.so (??7? - ???) <F38D30DE-F6D4-31DB-A4F1-8D7AB4260BBA>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libgrassprovider.so

0x110a32000 - 0x110a44fff +libgrassrasterprovider.so (??7? - ???) <F2A96D51-3E78-3A20-8540-D02BFB948716>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libgrassrasterprovider.so

0x110a4d000 - 0x110a5bfff +libheatmapplugin.so (??? - ??7?) <8392C90F-C936-344D-A5B8-DE14D134D933>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libheatmapplugin.so

0x110a65000 - 0x110a7cfff +libinterpolationplugin.so (??7? - ???) <9B640131-52DE-3AE7-8C19-8D90B92045DA>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libinterpolationplugin.so

0x110a8a000 - 0x110a97fff +libmemoryprovider.so (??? - ??7) <D9BE81B4-BC4B-3F85-822E-AD2318C11E0D>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libmemoryprovider.so

0x110aa0000 - 0x110ac2fff +libofflineeditingplugin.so (??? - ???) <37B9BAEF-2463-3FA4-9A79-COFA8B2C69E3>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libofflineeditingplugin.so

0x110ad5000 - 0x110afcfff +libogrprovider.so (??7? - ???) <154F06ED-87EA-3BB8-9DD5-61356 DCOACA1 >
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libogrprovider.so

0x110b0d000 - 0x110b11fff +ogr_ GRASS.dylib (??? - ???) <FA07BCA6-9704-3983-A4E3-8F46003BA7CC>
/Library/Application Support/GDAL/*/ogr_ GRASS.dylib

0x110b18000 - 0x110c05fe7 +libfftw3.3.dylib (6.4.0 - compatibility 6.0.0)
<365B4F25-54AD-DE08-E667-96D4COFBACS5A> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libfftw3.3.dylib

0x110c1c000 - 0x110c2efff +liboracleplugin.so (??? - ??7?) <9C54AA83-ACF4-3828-9023-DF7ACAE81AF9>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/liboracleplugin.so

0x110c39000 - 0x110c5afff +libosmprovider.so (??7? - ???) <5SADBDB5C-ECB8-3FA4-B86F-86AE0AA149D2>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libosmprovider.so

0x110c6a000 - 0x110ce0ff7 +libpostgresprovider.so (7?7 - ??7?) <2C3A4304-ADB0-39C0-AAB0-5ED065CCB22C>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libpostgresprovider.so

0x110d04000 - 0x110d1aff7 +librasterterrainplugin.so (??? - ???) <0C4B0163-BA16-3451-8AF5-0525C1C53999>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/librasterterrainplugin.so

0x110d27000 - 0x110d45ff7 +libroadgraphplugin.so (??? - ???) <FBF34E5E-8D4F-3C21-B33F-995D43248C79>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libroadgraphplugin.so

0x110d56000 - 0x110d65fff +org.qgis.qgis_networkanalysis (1.9.90 - qgis_networkanalysis 1.9.90)
<4DOFF7E6-EA3E-324A-88BB-2ECFB8F108FA>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgis_networkanalysis.framework/Versions/1.9/qgis_networkanalysis

0x110d6f000 - 0x110dbaff7 +libspatialiteprovider.so (??? - ???) <8542BF8D-6950-3ADC-B767-2C984B3CA786>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libspatialiteprovider.so

0x110dd5000 - 0x110df4ff7 +libspatialqueryplugin.so (??7? - ??7?) <AC128A75-A304-33CC-AA2B-DOCD8F8F3BF6>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libspatialqueryplugin.so

0x110e05000 - 0x110e71fff +libspitplugin.so (??? - ???7) <C84AE156-6F1B-330E-AA79-7A6DA53F83FD>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libspitplugin.so

0x110e88000 - 0x110ebcff7 +libsglanywhereplugin.so (??7? - ???) <569099B31-8C94-3B74-B3C0-CAA377EAF85E>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libsglanywhereplugin.so

0x110ed5000 - 0x110ee4fff +org.qgis.qgisgrass (1.9.90 - ggissglanyconnection 1.9.90)
<F8C57EE1-2D8E-3A37-BA92-A29176CE6728>
/Applications/QGIS-1.9.app/Contents/Frameworks/qgissglanyconnection.framework/Versions/1.9/ggissglanyconnection

0x110eea000 - 0x110f0bff7 +libsglanywhereprovider.so (??7? - ???) <0954AB18-A2C7-32A0-AAB8-2B1288612FD3>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libsglanywhereprovider.so

0x110f17000 - 0x110f5afff +libwfsprovider.so (??? - ??7?) <1842EEEB-6E29-3221-A370-2DE8121E8AC1>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libwfsprovider.so

0x110f79000 - 0x110fd6ff7 +libwmsprovider.so (??77? - ??7?) <8D153D4C-608D-37CF-BA40-5848034FB4D2>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libwmsprovider.so

0x110ff6000 - 0x111000ff7 +libzonalstatisticsplugin.so (??? - ??7?) <C868455B-E730-3BC1-B298-206DF672BCC5>
/Applications/QGIS-1.9.app/Contents/plugins/qgis/libzonalstatisticsplugin.so

0x11101a000 - 0x111025ff7 datetime.so (??? - ???) <A843AFB9-9B93-38BB-A7BF-DB72C27FA143>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/datetime.so

0x11102e000 - 0x11102ffff _functools.so (??? - ???) <6EF3FA09-56D3-3706-8AFB-76E6F5AD1353>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_functools.so

0x111033000 - 0x11114eff7 org.python.python (2.7.1 - 2.7.1) <004F03CD-EB9B-3D50-AAE4-5D707D98727D>
/System/Library/Frameworks/Python.framework/Versions/2.7/Python

0x1112e3000 - 0x1112f5ff7 +sip.so (??? - ?7?) <D3F8D95C-5DFE-3F24-8249-18D75407B5C2>
/Applications/QGIS-1.9.app/Contents/Resources/python/sip.so

0x1112fe000 - 0x1114a1fff +QtCore.so (7?7 - 7??) <240CC444-234E-3AAB-91EC-BA9E0C4A64A5>
/Applications/QGIS-1.9.app/Contents/Resources/python/PyQt4/QtCore.so

0x111687000 - 0x1116befe7 +QtXml.so (??7? - ???) <7111FE46-2D77-34FE-B695-1353AADD134E>
/Applications/QGIS-1.9.app/Contents/Resources/python/PyQt4/QtXml.so

0x1116ea000 - 0x1116f0fff itertools.so (??7 - ??77?) <A6122009-AA70-3632-BDA1-D915A28E38A9>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/itertools.so

0x1116f9000 - 0x1116fafff _heapq.so (??? - ?7?) <CDF90B4F-3045-3AC3-BA39-9273FAB32386>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_heapq.so
0x111800000 - 0x111d19fef +QtGui.so (??7? - ???) <EF759AD7-397B-3D74-A3A5-AEABF1D5935F>
/Applications/QGIS-1.9.app/Contents/Resources/python/PyQt4/QtGui.so

0x112110000 - 0x112186fef +QtNetwork.so (??? - ???) <3C87D160-DBA3-36AE-BACA-COCDCC762F78>
/Applications/QGIS-1.9.app/Contents/Resources/python/PyQt4/QtNetwork.so

0x1121e7000 - 0x1121eafff strop.so (7?7 - ??7) <C7B344AC-2B19-33D7-A4EC-08AAEED5175F>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/strop.so

0x1121ef000 - 0x1121f0fff time.so (??? - ???) <DA274462-B33A-33EB-90F7-BB9FB8120A5D>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/time.so

0x1121f6000 - 0x1121f7fff cStringlO.so (??? - ???) <CFF72182-B413-3F0E-9E85-6357705A064E>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cStringlO.so

0x112300000 - 0x112532fff +core.so (7?7 - ??7) <70407A5B-A4B6-34C1-A349-3F95EE121B8C>
/Applications/QGIS-1.9.app/Contents/Resources/python/qgis/core.so

0x1126b7000 - 0x1127f7ff +gui.so (??7? - ???) <7FOBB3FC-2AA6-30EF-8F66-DACA97E496BB>
/Applications/QGIS-1.9.app/Contents/Resources/python/qgis/gui.so

0x1128af000 - 0x1128b2fff +gdal_GRASS.dylib (??? - ???) <8BDCCOBD-AAFB-3BEB-8E6E-9B781591A7C3>
/Library/Application Support/GDAL/*/gdal_GRASS.dylib

0x1128b8000 - 0x1128befff +libgrass_1.6.4.2.dylib (6.4.0 - compatibility 6.4.0)
<9F79A1DB-DC8C-3FC8-875C-AO0FEDC5CA125> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_1.6.4.2.dylib

0x1128da000 - 0x1128dbfff _locale.so (??? - ?7?) <41EBB623-6ADD-30B9-89D3-B813208D8172>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_locale.so

0x1128df000 - 0x1128e4fff math.so (7?7 - 7??7) <925E3744-F23A-3D60-8E3C-6C3C6F9EC14B>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/math.so

0x1128ea000 - 0x1128edfff _csv.so (7?7 - ??7) <B2F58D88-CE7D-37CB-B89F-B85A2D7C3D9F>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_csv.so

0x1128f3000 - 0x1128f5ff7 binascii.so (??? - ???) <E06EB9B4-A6F7-3575-B0B5-5C5430350B1F>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/binascii.so

0x1128f9000 - 0x1128fafff _hashlib.so (??7? - ???) <247C00E4-4E3C-37E1-B2C7-343AA8302A5C>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_hashlib.so

0x112ac3000 - 0x112ac4ff7 _random.so (7?7 - ??7) <42610BFD-4046-342E-9054-BF49D26A50CB>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_random.so

0x112ac8000 - 0x112ad1fff _sqlite3.so (??7? - ???) <F37A0B8B-0B03-3936-9193-06C1505CCCD8>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_sqlite3.so

0x112adb000 - Ox112adffff _struct.so (??? - ?77?) <B2242559-29B9-3109-931D-7A8814CF9D71>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_struct.so

0x112ae5000 - 0x112ae7fff zlib.so (??7? - ???) <EF2EDA87-F066-3FE7-9DE3-29F74AFDA4D4>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/zlib.so

0x113100000 - 0x1131a4fff unicodedata.so (7?7 - ??7) <13CA1210-54A5-34A0-B91C-44E8D1238361>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/unicodedata.so

0x1131aa000 - 0x1131bbfff _io.so (??7 - ?77?7) <8B505822-DCC5-3613-B2E0-14776DF985AD>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_io.so

0x113773000 - 0x113776fff libLatinSuppConverter.dylib (54.0.0 - compatibility 1.0.0)
<AE9374F3-9A80-37B1-97F9-E5E952CE1D61> /System/Library/CoreServices/Encodings/libLatinSuppConverter.dylib

0x114133000 - 0x1141¢6ff7 unorm8_bgra.dylib (1.50.69 - compatibility 1.0.0)
<5FB796A4-1AD0-3B4D-AA83-F8A46E039224 >
/System/Library/Frameworks/OpenCL.framework/Libraries/ImageFormats/unorm8_bgra.dylib

0x115600000 - 0x11564cff7 com.apple.AppleShareClientCore (2.5 - 2.5)
<CC62F28C-398E-35E2-B2C0-B85A02E57247>
/System/Library/Frameworks/AppleShareClientCore.framework/Versions/A/AppleShareClientCore

0x123ec9000 - 0x123f5¢ff7 unorm8_argb.dylib (1.50.69 - compatibility 1.0.0)
<62C3F70B-9B04-39BD-BE29-582A1DE89A90>
/System/Library/Frameworks/OpenCL.framework/Libraries/ImageFormats/unorm8_argb.dylib

0x7fff69d9a000 -  0x7fff69dcebaf dyld (195.6 - ???) <0CD1B35B-A28F-32DA-B72E-452EAD609613> /ust/lib/dyld
0x7fff892a0000 -  0x7fff89aa2fff com.apple.TrustEvaluationAgent (2.0 - 1) <1F31CAFF-C1C6-33D3-94E9-11B721761DDF>
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent

0x7fff892a3000 -  Ox7fff89b0bff7 com.apple.audio.CoreAudio (4.0.2 - 4.0.2)
<DFD8F4DE-3B45-3A2E-9CBE-FD8D5DD30923> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x7fff89b0c000 -  Ox7fff89b12fff libmacho.dylib (800.0.0 - compatibility 1.0.0)
<165514D7-1BFA-38EF-A151-676DCD21FB64> /usr/lib/system/libmacho.dylib

0x7fff89b33000 -  0x7fff89b72fff com.apple.AE (527.7 - 527.7) <B82F7ABC-AC8B-3507-B029-969DD5CA813D>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x7fff89b73000 -  0x7fff89d12fff com.apple.QuartzCore (1.7 - 270.2) <F2CCDEFB-DE43-3E32-B242-A22C82617186>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x7fff89e63000 -  Ox7fff89e63fff com.apple.ApplicationServices (41 - 41) <89B6AD5B-5C75-3E83-8C2B-AA7F4C55E400>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x7fff89e64000 -  0x7fff89f08fff com.apple.ink.framework (1.3.2 - 110) <C8840EA4-AE7B-360C-A191-D36B5F10B6B5>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x7fff8a0ec000 -  0x7fff8a0f7ff7 libc++abi.dylib (14.0.0 - compatibility 1.0.0)
<8FF3D766-D678-36F6-84AC-423C878E6D14> /usr/lib/libc++abi.dylib

0x7fff8a0f8000 -  Ox7fff8alfaff7 libxml2.2.dylib (10.3.0 - compatibility 10.0.0)
<22F1D1B6-1761-3687-9EFD-036EA15FB2E4> /ust/lib/libxml2.2.dylib

0x7fff8a258000 -  0x7fff8a27fff7 com.apple.PerformanceAnalysis (1.10 - 10)
<DD87C994-66D6-330A-BAF9-AB86BE125A62>
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis

0x7fff8a289000 -  0x7fff8abb6fff libLAPACK.dylib (7?7 - ???) <4F2E1055-2207-340B-BB45-E4F16171EEOD>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x7fff8a6b7000 -  0x7fff8abb7fff com.apple.Accelerate (1.7 - Accelerate 1.7)
<82DDF6F5-FBC3-323D-B71D-CF7ABC5CF568> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x7fff8a6b8000 - 0x7fff8a73bfef com.apple.Metadata (10.7.0 - 627.28) <1C14033A-69C9-3757-B24D-5583AEAC2CBA>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x7fff8a73c000 -  0x7fff8a73ffff com.apple.AppleSysteminfo (1.0 - 1) <111B6F69-3FBD-3860-BCF8-1DF02D9BED28>
/System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo

0x7fff8a740000 - 0x7fff8a75cff7 com.apple.GenerationalStorage (1.0 - 126.1)
<509F52ED-E54B-3FEF-B3C2-759387B826E6>
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage

0x7fff8ab0c000 -  Ox7fff8b710fff com.apple.AppKit (6.7.3 - 1138.32) <A9EB81C6-C519-3F29-89F1-42C3E8930281>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit

0x7fff8b76c000 -  Ox7fff8b771fff libcache.dylib (47.0.0 - compatibility 1.0.0)
<1571C3AB-BCB2-38CD-B3B2-C5FC3F927C6A> /ust/lib/system/libcache.dylib

0x7fff8b772000 -  0x7fff8b788fff libGL.dylib (??? - ???) <6A473BF9-4D35-34C6-9F8B-86B68091A9AF>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x7fff8b789000 -  0x7fff8b789fff com.apple.CoreServices (53 - 53) <043C8026-8EDD-3241-B090-F589E24062EF>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x7fff8b78a000 -  Ox7fff8b7d8fff libauto.dylib (??7? - ??7?) <D8AC8458-DDD0-3939-8B96-B6CED81613EF>
/usr/lib/libauto.dylib

0x7fff8b946000 -  0x7fff8b94cfif 10Surface (??? - ???) <8114F62C-F75D-3123-99E9-268CB3AE74F7>
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface

0x7fff8b94d000 -  0x7fff8b9a1ff7 libFontRegistry.dylib (??? - ???) <F98926EF-FFA0-37C5-824C-02E436E21DD1>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontR
ontRegistry.dylib

0x7fff8b9a2000 -  0x7fff8b9c2fff libPng.dylib (??7? - ???) <F4D84592-C450-3076-88E9-8E6517C7EF33>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libP
/libPng.dylib

0x7fff8b9c5000 -  Ox7fff8bd17fff com.apple.FinderKit (1.0.1 - 1.0.1) <E2F6D8F1-689B-309B-ACE8-319010FA7781>
/System/Library/PrivateFrameworks/FinderKit.framework/Versions/A/FinderKit

0x7fff8bd1d000 -  0x7fff8be22fff libFontParser.dylib (??? - ???) <0920DA16-2066-33E6-BF95-AD4B0F3C22B0>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontP|
ontParser.dylib

0x7fff8be23000 -  Ox7fff8be2dff7 liblaunch.dylib (392.36.0 - compatibility 1.0.0)
<CB8B5808-80C0-318E-AE12-96CA916442FE> /usr/lib/system/liblaunch.dylib

0x7fff8be2e000 -  0x7fff8cOb9fff com.apple.JavaScriptCore (7534.53 - 7534.53.8)
<619D6392-D833-3C55-B1C0-4DAA0477796C>
/System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore

0x7fff8cOba000 -  0x7fff8c3d3ff7 com.apple.Foundation (6.7.1 - 833.24) <6D4E6F93-64EF-3D41-AE80-2BB10E2E6323>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x7fff8c3d4000 -  0x7fff8c426ff7 libGLU.dylib (??? - ???) <3C9153A0-8499-3DC0O-AAA4-9FAGE488BE13>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x7fff8c427000 -  Ox7fff8c462fff libsystem_info.dylib (??? - ??7) <35F90252-2AE1-32C5-8D34-782C614D9639>
/usr/lib/system/libsystem_info.dylib

0x7fff8c463000 - Ox7fff8c498fff com.apple.securityinterface (5.0 - 55007) <D46E73F4-D8E9-3F53-A083-B9D71ED74492>
/System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface

0x7fff8c499000 -  Ox7fff8c5cffff com.apple.vimage (5.1 - 5.1) <A08B7582-67BC-3EED-813A-4833645964A7>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vimage.framework/Versions/A/vimage

0x7fff8c5d0000 -  Ox7fff8c5fdfe7 libSystem.B.dylib (159.1.0 - compatibility 1.0.0)
<7BEBB139-50BB-3112-947A-F4AA168F991C> /ust/lib/libSystem.B.dylib

0x7fff8c60c000 -  0x7fff8c611fff com.apple.OpenDirectory (10.7 - 146) <A674AB55-6E3D-39AE-9F9B-9865D0193020>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory

0x7fff8c699000 -  0x7fff8c90cfff com.apple.Corelmage (7.93 - 1.0.1) <OB7D855E-A2B6-3C14-A242-2CF2165C6E7E>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Corelmage.framework/Versions/A/Corelmage

0x7fff8ca25000 -  0x7fff8ca39ff7 com.apple.LangAnalysis (1.7.0 - 1.7.0) <04C31EF0-912A-3004-A08F-CEC27030E0B2>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnaly
nalysis

0x7fff8ca3a000 -  0x7fff8ca3cfff libquarantine.dylib (36.2.0 - compatibility 1.0.0)
<48656562-FF20-3B55-9F93-407ACA7341C0> /usr/lib/system/libquarantine.dylib

0x7fff8ca3d000 - 0Ox7fff8ca7fff7 libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0)
<BB770C22-8C57-365A-8716-4A3C36AE7BFB> /ust/lib/system/libcommonCrypto.dylib

0x7fff8ca99000 - Ox7fff8caadff7 com.apple.speech.recognition.framework (4.0.19 - 4.0.19)
<48607E6E-8612-3267-9184-E948B1863B32>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecogniti
gnition

0x7fff8caab000 -  0x7fff8caacff7 com.apple.CommerceCore (1.0 - 17) <3894FE48-EDCE-30E9-9796-E2F959D92704>
/System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/Comme
mmerceCore

0x7fff8caad000 -  0x7fff8cb01ff7 com.apple.ImageCaptureCore (3.0.2 - 3.0.2)
<68147E63-C211-361E-8B24-B5E0675B4297>
/System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore

0x7fff8cb02000 -  Ox7fff8cbOafff libsystem_dnssd.dylib (??7? - ???) <DOCEBEOE-956F-3CCF-9808-25FDEA42B9AF >
/ust/lib/system/libsystem_dnssd.dylib

0x7fff8cb0b000 -  0x7fff8cb28fff libxpc.dylib (77.18.0 - compatibility 1.0.0) <26C05F31-E809-3B47-AF42-1460971E3AC3>
/usr/lib/system/libxpc.dylib

0x7fff8cb29000 -  Ox7fff8cb99fff com.apple.datadetectorscore (3.0 - 179.4)
<B4C6417F-296C-31C1-BB94-980BFCDC9175>
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore

0x7fff8cb9a000 -  0x7fff8ccO0ff7 com.apple.coreui (1.2.1 - 165.3) <378C9221-ADE6-36D9-9944-F33AE6904E4F >
/System/Library/PrivateFrameworks/CoreUl.framework/Versions/A/CoreUl

0x7fff8cc01000 -  0x7fff8ccO4fff libCoreVMClient.dylib (??? - ??7?) <E034C772-4263-3F48-B083-25A758DD6228>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib

0x7fff8cc05000 -  0x7fff8cc06ff7 libremovefile.dylib (21.1.0 - compatibility 1.0.0)
<739E6C83-AA52-3C6C-A680-B37FE2888A04> /ust/lib/system/libremovefile.dylib

0x7fff8cc07000 -  0x7fff8cce5fff com.apple.lmagelO.framework (3.1.1 - 3.1.1)
<DB530A63-8ECF-3B53-AC9A-1692A5397E2F>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/ImagelO

0x7fff8cce6000 -  0x7fff8cdd1fff com.apple.backup.framework (1.3.1 - 1.3.1)
<C933E52C-5BA6-386D-9B6A-8F98D8142A6F> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup

0x7fff8cdd2000 -  Ox7fff8ce05ff7 com.apple.GSS (2.1 - 2.0) <57AD81CE-6320-38C9-9B66-0ESA4DEA898A>
/System/Library/Frameworks/GSS.framework/Versions/A/GSS

0x7fff8ce1b000 -  Ox7fff8ce1bfff libkeymgr.dylib (23.0.0 - compatibility 1.0.0)
<61EFED6A-A407-301E-B454-CD18314F0075> /ust/lib/system/libkeymgr.dylib

0x7fff8ce1c000 -  Ox7fff8ce8ffff libstdc++.6.dylib (52.0.0 - compatibility 7.0.0)
<6BDD43E4-A4B1-379E-9ED5-8C713653DFF2> /ust/lib/libstdc++.6.dylib

0x7fff8ce90000 -  0x7fff8ce99ff7 libsystem_notify.dylib (80.1.0 - compatibility 1.0.0)
<A4D651E3-D1C6-3934-AD49-7A104FD14596> /ust/lib/system/libsystem_notify.dylib

0x7fff8ce9a000 -  0x7fff8ceabff7 com.apple.DisplayServicesFW (2.5.2 - 317)
<D1FE33BD-1D71-343F-B790-685253F1F701>
/System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices

0x7fff8ceab000 -  0x7fff8cf59fff com.apple.CoreText (220.11.0 - ??7?) <0322442E-0530-37E8-A7D6-AEFD909FOAFE>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/Core Text.framework/Versions/A/Core Text

0x7fff8cf5a000 -  Ox7fff8cfadfff com.apple.AppleVAFramework (5.0.14 - 5.0.14)
<45159B9E-05BF-35B2-AF76-D933490FBFB1> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA

0x7fff8d098000 -  0x7fff8d222ff7 com.apple.QTKit (7.7.1 - 2315) <BFC33B70-34F2-3940-A14A-3C51036589F0>
/System/Library/Frameworks/QTKit.framework/Versions/A/QTKit

0x7fff8d57e000 -  Ox7fff8d9b0fef com.apple.VideoToolbox (1.0 - 705.61) <1A70CA82-C849-3033-8598-37C5A72637CC>
/System/Library/PrivateFrameworks/VideoToolbox.framework/Versions/A/VideoToolbox

0x7fff8db3c000 -  0x7fff8db82ff7 libcurl.4.dylib (7.0.0 - compatibility 7.0.0) <01DD0773-236C-3AC3-B43B-07911F458767>
/usr/lib/libcurl.4.dylib

0x7fff8db89000 -  0x7fff8dbcafff com.apple.QD (3.40 - ??7?) <47674D2C-BE88-388E-B1B0-03F08BFFE5SFD>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x7fff8dbd6000 -  0x7fff8dbd7fff liblangid.dylib (??? - ???) <CACBE3C3-2F7B-3EED-B50E-EDB73F473B77>
/ust/lib/liblangid.dylib

0x7fff8dda5000 -  0x7fff8ddabfff com.apple.phonenumbers (1.0 - 47) <0398EEEE-DBA1-36B6-AEOE-AABBDC17AF4F>
/System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers

0x7fff8ddc9000 -  Ox7fff8e290fff FaceCoreLight (1.4.7 - compatibility 1.0.0) <E9D2A69C-6E81-358C-A162-510969F91490>
/System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight

0x7fff8e291000 - Ox7fff8e3aafff com.apple.DesktopServices (1.6.2 - 1.6.2) <6B83172E-F539-3AF8-A76D-1F9EA357B076>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x7fff8e3e4000 -  Ox7fff8e40fff7 libxslt.1.dylib (3.24.0 - compatibility 3.0.0) <4DB5ED11-004B-36B5-AE5F-2AB714754241>
/usr/lib/libxslt.1.dylib

0x7fff8e42f000 -  0x7fff8e458ff7 com.apple.framework.Apple80211 (7.1.2-712.1)
<B4CD34B3-D555-38D2-8FF8-E3C6A93B94EB>
/System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211

0x7fff8e459000 - 0x7fff8e480fff com.apple.framework.internetaccounts (1.2 - 3)
<A3FFB4BD-77BE-388F-ADB1-9CA80A68B1F2>
/System/Library/PrivateFrameworks/InternetAccounts.framework/Versions/A/InternetAccounts

0x7fff8e481000 -  Ox7fff8e4f7fff com.apple.ISSupport (1.9.8 - 56) <2BEEF162-893F-356C-BD4E-8668F044A917>
/System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport

0x7fff8e4f8000 -  0x7fff8e525fff com.apple.quartzfilters (1.7.0 - 1.7.0) <CE1EDD58-7273-38F9-AD33-871A8BA7ABF3>
/System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters

0x7fff8e526000 -  Ox7fff8e582ff7 com.apple.QuickLookFramework (3.1 - 500.10)
<35BF320E-26F5-310C-9FA9-D60919B218EC> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook

0x7fff8e583000 -  0x7fff8e589fff libGFXShared.dylib (??7? - ???) <B95E9B22-AE68-3E48-8733-00CCCA08D50E>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib

0x7fff8e5cf000 -  0x7fff8e5dOfff com.apple.MonitorPanelFramework (1.4.0 - 1.4.0)
<92364334-3B11-360B-89D8-447185FEC653>
/System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel

0x7fff8e5d3000 -  Ox7fff8e5e2ff7 libxar-nossl.dylib (??? - ???) <AGABBFB9-E4ED-38AD-BBBB-F9958B9CEFB5>
/usr/lib/libxar-nossl.dylib

0x7fff8e5e3000 -  Ox7fff8e5e9fff com.apple.DiskArbitration (2.4.1 - 2.4.1) <CEA34337-63DE-302E-81AA-10D717E1F699>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x7fff8e5eal000 -  0x7fff8e5eafff com.apple.Cocoa (6.6 - ??77?) <7EC4D759-B2A6-3A99-AC75-809FED1500C6>
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa

0x7fff8e5eb000 -  0x7fff8e6e8fff com.apple.avfoundation (2.0 - 180.30) <061DDF4C-E7BB-33D0-BEB9-0443ADF6EC8C>
/System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation

0x7fff8e6€9000 - Ox7fff8e704fff libexpat.1.dylib (7.2.0 - compatibility 7.0.0) <DDB91E75-A2FA-331F-8069-999127AC6A9D>
/ust/lib/libexpat.1.dylib

0x7fff8e705000 -  0x7fff8e735ff7 com.apple.DictionaryServices (1.2.1 - 158.2)
<3FC86118-7553-38F7-8916-B329D2E94476>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryS
aryServices

0x7fff8e736000 -  0x7fff8e9a4ff7 com.apple.QuartzComposer (5.0 - 236.3) <F8B96724-2550-32FE-9DE4-22AC7A6C0942>
/System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer[?]
er

0x7fff8e9f9000 -  0x7fff8ealbff7 libbsm.0.dylib (??? - ???) <349BB16F-75FA-363F-8D98-7A9C3FA90A0D>
/usr/lib/libbsm.0.dylib

0x7fff8ea38000 - Ox7fff8eab1fff libJPEG.dylib (??? - ???) <64D079F9-256A-323B-A837-84628B172F21>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libJf
NlibJPEG.dylib

0x7fff8ea62000 - Ox7fff8eac2fff libvDSP.dylib (325.4.0 - compatibility 1.0.0) <3A7521E6-5510-3FA7-AB65-79693A7A5839>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x7fff8eac3000 - 0x7fff8eba7e5f libobjc.A.dylib (228.0.0 - compatibility 1.0.0)
<871E688B-CF57-3BC7-80D6-F6476DFF109B> /usr/lib/libobjc.A.dylib

0x7fff8ebb0000 -  0x7fff8ebefff7 libGLImage.dylib (??7? - ??7?) <348729DC-BC44-3744-B249-9DFA6498344A>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x7fff8ec34000 -  0x7fff8ec34fff com.apple.audio.units.AudioUnit (1.7.2 - 1.7.2)
<04C10813-CCE5-3333-8C72-E8E35E417B3B> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x7fff8ec35000 -  Ox7fff8eeabff7 com.apple.imageKit (2.1.1 - 1.0) <A4A58BBB-70BB-3A0F-84F0-49EC6113BF2F>
/System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit

0x7fff8eeac000 - 0x7fff8eeaeff7 com.apple.print.framework.Print (7.1 - 247.1)
<BA4925A5-BAA3-373C-9B5D-03E0270C6B12>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x7fff8eeaf000 -  0x7fff8eec9fff com.apple.CoreMediaAuthoring (2.0 - 890) <7BE57576-8EF5-3473-95E6-6191E239E3F0>
/System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring

0x7fff8Beecal00 -  0x7fff8f09efff com.apple.CoreFoundation (6.7.1 - 635.19) <57B77925-9065-38C9-A05B-02F4F9ED007C>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x7fff8f09f000 -  Ox7fff8f09ffff com.apple.quartzframework (1.5 - 1.5) <2C13AE76-C86B-3D48-A583-121689190F 74>
/System/Library/Frameworks/Quartz.framework/Versions/A/Quartz

0x7fff8f0a0000 -  0x7fff8f0a7fff libcopyfile.dylib (85.1.0 - compatibility 1.0.0)
<0AB51EE2-E914-358C-AC19-47BC024BDAE7> /ust/lib/system/libcopyfile.dylib

0x7fff8f0a8000 -  0x7fff8f12dff7 com.apple.Heimdal (2.1 - 2.0) <3758B442-6175-32B8-8C17-D8ABDD589BF9>
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal

0x7fff8f12e000 -  0x7{ff8f134ff7 libunwind.dylib (30.0.0 - compatibility 1.0.0)
<1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231> /ust/lib/system/libunwind.dylib

0x7fff8f137000 -  0x7fff8f15bfff com.apple.RemoteViewServices (1.3 - 44) <21D7A0E7-6699-37AB-AE6C-BF69AF3D61C2>
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices

0x7fff8f15c000 -  Ox7fff8f15efff libCVMSPIluginSupport.dylib (??? - ???) <B2FC6EC0-1A0C-3482-A3C9-D08446E8713A>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib

0x7fff8f398000 -  0x7fff8f3affff com.apple.MultitouchSupport.framework (220.62.1 - 220.62.1)
<3F8C015B-88AC-370F-B39D-B4665FB7616A>

/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
Ox7fff8f3b0000 -  0x7fff8f450fff com.apple.LaunchServices (480.27.1 - 480.27.1)

<4DC96C1E-6FDE-305E-9718-E4C5C1341F56>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServicgs[?] 0>

rvices

0x7fff8f47a000 -  0x7fff8f4baff7 libcups.2.dylib (2.9.0 - compatibility 2.0.0) <29DE948E-38C4-3CC5-B528-40C691380607>
/usr/lib/libcups.2.dylib

0x7fff8f4bb000 -  0x7fff8f4cdff7 libsasl2.2.dylib (3.15.0 - compatibility 3.0.0)
<6245B497-784B-355C-98EF-2DC6B45BF05C> /ust/lib/libsasl2.2.dylib

0x7fff8f4ce000 -  Ox7fff8fc62fef com.apple.CoreAUC (6.11.04 - 6.11.04) <FFC336DF-C71F-3C93-8E93-5CBDIEEAE940>
/System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC

0x7fff8fc63000 -  Ox7fff8fd6ffff libcrypto.0.9.8.dylib (44.0.0 - compatibility 0.9.8)
<3A8E1F89-5E26-3C8B-B538-81F5D61DBF8A> /usr/lib/libcrypto.0.9.8.dylib

Ox7fff8fd70000 -  Ox7fff8fd73fff libRadiance.dylib (7?7 - ???) <CD89D70D-F177-3BAE-8A26-644EA7D5E28E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libR
/libRadiance.dylib

0x7fff8fd74000 -  0x7fff8fd90ff7 com.apple.frameworks.preferencepanes (15.0 - 15.0)
<C1DF4A08-3CBA-3EEA-BAGE-3557F09052FE>
/System/Library/Frameworks/PreferencePanes.framework/Versions/A/PreferencePanes

0x7fff8fd95000 -  0x7fff8fda0fff com.apple.CommonAuth (2.1 - 2.0) <272CB600-6DA8-3952-97C0-5DC594DCA024>
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth

0x7fff8fda1000 -  0x7fff8fdadfff com.apple.DirectoryService.Framework (10.7 - 146)
<65C78AE3-89B8-3372-8359-31FD520781D5>
/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService

Ox7fff8fdba000 -  0x7fff8fde5ff7 com.apple.CoreServicesinternal (113.12 - 113.12)
<C37DAC1A-35D2-30EC-9112-5EEECED5C461>
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesinternal

0x7fff8fde6000 -  0x7fff8fe5bff7 libc++.1.dylib (19.0.0 - compatibility 1.0.0) <COEFFF1B-0FEB-3F99-BE54-506B35B555A9>
/usr/lib/libc++.1.dylib

0x7fff8fea3000 -  0x7fff8feeaff7 com.apple.CoreMedia (1.0 - 705.61) <0C34B0D4-DB8A-33C7-B67B-F443AD86482C>
/System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia

Ox7fff8fefe000 -  Ox7fff8ffO3fff libGIF.dylib (??7 - ??7) <393E2DB5-9479-39A6-A75A-B5F20B852532>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libG
NlibGIF.dylib

0x7fff8ff04000 -  Ox7fff8ff23fff libresolv.9.dylib (46.1.0 - compatibility 1.0.0) <0635C52D-DD53-3721-A488-4C6E95607A74>
/ustr/lib/libresolv.9.dylib

Ox7fff8ff5e000 -  Ox7fff8ffd4fff com.apple.CoreSymbolication (2.2 - 73.2) <126415E3-3A35-315B-B4B7-507CDBEDOD58>
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication

Ox7fff8ffd5000 -  Ox7fff8ffd6fff libdnsinfo.dylib (395.10.0 - compatibility 1.0.0)
<2301DE05-6950-3AFF-A8A6-DA76D4C079B5> /ust/lib/system/libdnsinfo.dylib

0x7fff8ffd7000 -  0x7fff9009eff7 com.apple.ColorSync (4.7.1 - 4.7.1) <EA74B067-9916-341A-9C68-6165A4656042>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync[?]
c

0x7fff900dd000 -  0x7fff900ebff7 com.apple.AppleFSCompression (37 - 1.0)
<8981D804-EBFE-35D5-9F79-6689DCCBA43A>
/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression

0x7fff900ec000 -  0x7fff900f1fff libpam.2.dylib (3.0.0 - compatibility 3.0.0) <D952F17B-200A-3A23-B9B2-7C1F7AC19189>
/ustr/lib/libpam.2.dylib

0x7fff900f2000 -  0x7fff90a827a7 com.apple.CoreGraphics (1.600.0 - ??7?)
<177D9BAD-72C9-3ADF-A391-5B88C5EE623F>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGrap!
raphics

adiance

F.dylib

0x7fff9

hics[?]
0x7fff911f1000 -  0x7fff9150dff7 com.apple.CoreServices.CarbonCore (960.20 - 960.20)
<C45CA09E-8867-3D67-BB2E-48D2E6BOD78C>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x7fff922eb000 -  0x7fff922ecff7 libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0)
<8BCA214A-8992-34B2-A8B9-B74DEACA1869> /usr/lib/system/libsystem_blocks.dylib

0x7fff922ed000 -  0x7fff923f4fe7 libsqlite3.dylib (9.6.0 - compatibility 9.0.0)
<EE02BB01-64C9-304D-9719-A35F5CD6D04C> /ust/lib/libsglite3.dylib

0x7fff923f5000 -  0x7fff92402ff7 libbz2.1.0.dylib (1.0.5 - compatibility 1.0.0)
<3373D310-3B10-3DD1-B754-B7B138CD448D> /ust/lib/libbz2.1.0.dylib

0x7fff92403000 -  0x7fff92420ff7 com.apple.openscripting (1.3.3 - ???) <4FACC89E-FDAA-3CA5-B5CD-1F4EEAEDF7CF>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x7fff92462000 -  0x7fff9249dfff com.apple.LDAPFramework (3.1 - 120.2) <19B714EB-104B-38D2-9ADD-155F71F6844B>
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP

0x7fff9249e000 -  0x7fff924befff libsystem_kernel.dylib (1699.24.23 - compatibility 1.0.0)
<80927C55-D4D9-31B6-9CF3-6134FCF1E1CA> /usr/lib/system/libsystem_kernel.dylib

0x7fff924bf000 -  0x7fff92503ff7 com.apple.MediaKit (12 - 589) <7CFF29BF-D907-3593-B338-0BB48643B2A8>
/System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit

0x7fff92504000 -  0x7fff92505ff7 libsystem_sandbox.dylib (??? - ???7) <5087ADAD-D34D-3844-9D04-AFF93CED3D92>
/usr/lib/system/libsystem_sandbox.dylib

0x7fff92506000 -  0x7fff927e8fff com.apple.security (7.0 - 55110) <252F9E04-FF8A-3EA7-A38E-51DD0653663C>
/System/Library/Frameworks/Security.framework/Versions/A/Security

0x7fff927e9000 -  0x7fff927e9fff com.apple.Accelerate.vecLib (3.7 - vecLib 3.7)
<C06A140F-6114-3B8B-B080-E509303145B8>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff927ea000 -  0x7fff92718fff libdispatch.dylib (187.7.0 - compatibility 1.0.0)
<712AAEAC-AD90-37F7-B71F-293FF8AE8723> /ust/lib/system/libdispatch.dylib

0x7fff9284f000 -  0x7fff92862ff7 libCRFSuite.dylib (??? - ???) <0B76941F-218E-30C8-B6DE-E15919F8DBEB>
/usr/lib/libCRFSuite.dylib

0x7fff92863000 -  0x7fff92945fff com.apple.CoreServices.OSServices (478.37 - 478.37)
<1DAC695E-0DOF-3AE2-974F-A173E69E67CC>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x7fff93089000 -  0x7fff930adfff com.apple.Kerberos (1.0 - 1) <1F826BCE-DA8F-381D-9C4C-A36AA0EA1CB9>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x7fff930ae000 -  Ox7fff930c3fff com.apple.FileSync.framework (6.0.1 - 502.2)
<65A5CD1B-766D-33F8-8AC1-0984499838E9> /System/Library/PrivateFrameworks/FileSync.framework/Versions/A/FileSync

0x7fff930c4000 - 0x7fff931a2fff com.apple.DiscRecording (6.0.3 - 6030.4.1)
<8DB1BDDD-F066-3E8B-B416-11DF712C6A1E>
/System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording

0x7fff931a3000 -  0x7fff93205ff7 com.apple.Symbolication (1.3 - 91) <B072970E-9EC1-3495-A1FA-D344C6E74A13>
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication

0x7fff93248000 - 0x7fff935e6fef com.apple.MediaToolbox (1.0 - 705.61) <F48F2150-0573-354C-BBB2-BA52DDOFDOAB>
/System/Library/PrivateFrameworks/MediaToolbox.framework/Versions/A/MediaToolbox

0x7fff935e7000 - 0x7fff93a49ff7 com.apple.RawCamera.bundle (3.9.1 - 586)
<1AA853F4-E429-33E3-B4A9-6B019CCCC5E4>
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera

0x7fff93a90000 -  0x7fff94074fff libBLAS.dylib (??? - ???) <C34F6D88-187F-33DC-8A68-COC9D1FA36DF>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x7fff94075000 -  0x7fff941cefff com.apple.audio.toolbox.AudioToolbox (1.7.2 - 1.7.2)
<0AD8197C-1BA9-30CD-98F1-4CA2C6559BA8>
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x7fff941cf000 -  Ox7fff94218ff7 com.apple.framework.CoreWLAN (2.1.2 - 212.1)
<B254CC2C-F1A4-3A87-96DE-B6A4113D2811> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN

0x7fff94219000 -  0x7fff942abff7 com.apple.CorePDF (3.1 - 3.1) <F81F99A9-7FF6-3A6A-92C7-78C76BA35777>
/System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF

0x7fff942ac000 -  0x7fff942b3fff libCGXCorelmage.A.dylib (600.0.0 - compatibility 64.0.0)
<848F5267-C6B3-3591-AB27-B0176B04CCC4>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCGXCorelmage.A.dylib

0x7fff942b4000 - 0x7fff94308ff7 com.apple.ScalableUserInterface (1.0 - 1) <33563775-C662-313D-B7FA-3D575A9F3D41>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableU
bleUserInterface

0x7fff9430e000 -  0x7fff94312fff libCGXType.A.dylib (600.0.0 - compatibility 64.0.0)
<37517279-C92E-3217-B49A-838198B48787>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCGXType.A.dylib

0x7fff94313000 -  0x7fff94363fff com.apple.CoreMedialO (210.0 - 3180) <C5B60D3E-71BE-3CD2-90FC-3B2F9961D662>
/System/Library/Frameworks/CoreMedialO.framework/Versions/A/CoreMedialO

0x7fff943d9000 -  0x7fff94443ff7 com.apple.framework.IOKit (2.0 - ???) <EEEB42FD-E3E1-3A94-A771-B1993B694F17>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x7fff94460000 -  0x7fff94555fff libiconv.2.dylib (7.0.0 - compatibility 7.0.0) <5C40E880-0706-378F-B864-3C2BD922D926>
/ustr/lib/libiconv.2.dylib

0x7fff94556000 - 0x7fff9477efe7 com.apple.CoreData (104.1 - 358.13) <F1DA3110-C4DF-3F0A-A057-AEE78DE8C99D>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x7fff9477f000 -  0x7fff9478cfff libCSync.A.dylib (600.0.0 - compatibility 64.0.0)
<CBA71562-050B-3515-92B7-8BC1E2EEEF2A>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCSync.A.dylib

0x7fff9478d000 -  Ox7fff94792fff libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0)
<98ECD5F6-E85C-32A5-98CD-8911230CB66A> /ust/lib/system/libcompiler_rt.dylib

0x7fff94793000 -  0x7fff947d6ff7 libRIP.A.dylib (600.0.0 - compatibility 64.0.0)
<85D00F5C-43ED-33A9-80B4-72EBOEAE3E25>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libRIP.A.dylib

0x7fff947d7000 -  0x7fff947dbfff libdyld.dylib (195.6.0 - compatibility 1.0.0) <FFC59565-64BD-3B37-90A4-E2C3A422CFC1>
/usr/lib/system/libdyld.dylib

0x7fff9483f000 -  0x7fff94856fff com.apple.CFOpenDirectory (10.7 - 146) <E6D4F114-678B-3957-9C59-9206ECDA756E>

/libCG

serinte

/libCG:

/libCSy

/libRIP

/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirgctory[?

nDirectory

0x7fff94857000 -  0x7fff94857fff com.apple.Carbon (153 - 153) <AF0F9910-E3C3-3922-AA92-A39000655E0F>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x7fff94d04000 -  0x7fff94d42fff com.apple.oom (11.0 - 183) <F300B9EC-995E-33A7-9175-9F07D4B68F 16>
/System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom

0x7fff94d43000 -  0x7fff94d6efff libpcre.0.dylib (1.1.0 - compatibility 1.0.0) <7D3CDB0A-840F-3856-8F84-B4A50E66431B>
/usr/lib/libpcre.0.dylib

0x7fff94d6f000 -  0x7fff94ed6ff7 com.apple.CFNetwork (520.3.2 - 520.3.2) <516B611D-E53E-3467-9211-3C5B86ABA865>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x7fff94ed7000 -  Ox7fff94effff7 com.apple.CoreVideo (1.7 - 70.1) <98F917B2-FB53-3EA3-B548-7E97B38309A7>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo

0x7fff94f00000 -  0x7fff94f04ff7 com.apple.CommonPanels (1.2.5 - 94) <37C6540B-F8D1-355A-806C-F93D8FB522AB>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x7fff94f56000 -  0x7fff94f8ffe7 libssl.0.9.8.dylib (44.0.0 - compatibility 0.9.8)
<79AAEC98-1258-3DA4-B1C0-4120049D390B> /ustr/lib/libssl.0.9.8.dylib

0x7fff94f90000 -  0x7fff95026ff7 libvMisc.dylib (325.4.0 - compatibility 1.0.0)
<642D8D54-F9F5-3FBB-A96C-EEFE94C6278B>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x7fff95027000 -  0x7fff95027fff com.apple.vecLib (3.7 - vecLib 3.7) <9A58105C-B36E-35B5-812C-4ED693F2618F>
/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff9511e000 -  0x7fff95158fe7 com.apple.DebugSymbols (2.1 - 87) <ED2B177C-4146-3715-91DF-D99ASED5449A>
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols

0x7fff95159000 -  0x7fff95259fff com.apple.QuickLookUIFramework (3.1 - 500.10)
<ABD3BF58-DD33-31CA-AAE3-EOEE274C8B9C> /System/Library/Frameworks/Quartz.framework/Versions/A/Framewo

Associated revisions

Revision cbd88ee0 - 2012-05-30 06:39 PM - Jiirgen Fischer

fix #5487

History

#1 - 2012-04-25 05:27 PM - Ben Madin

A further note - | think that this might be happening when / where the geometry being reshaped has another error within it - such as a duplicate point or

intersection.

#2 - 2012-04-26 01:00 AM - Giovanni Manghi
- Status changed from Open to Feedback

Can you attach sample data and exact steps on how replicate this issue?

#3 - 2012-05-30 09:02 AM - Giovanni Manghi

- Target version set to Version 1.8.0

- Priority changed from Normal to High

- Operating System deleted (OSX Lion)

- Status changed from Feedback to Open

- Subject changed from Intermittent crash using digitiser to QGIS crash when reshaping a polygon
- File poli_estradas_shp.zip added

New description:

@

Try reshape the attached polygon, qgis will crash with

2

ERROR 1: TopologyException: found non-noded intersection between LINESTRING (-79200.1 -6480.6, -79206.3 -6500.94) and LINESTRING (-79205.7
-6498.86, -79206.5 -6505.94) at -79205.7 -6498.86

Segmentation fault (core dumped)

and yes... the polygon has two small errors, nevertheless qgis should not crash. Tested on master on both Windows and Linux.
#4 - 2012-05-30 09:39 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"cbd88ee00120d4e27805f48cc046ac63f14f3078".

#5 - 2012-06-05 05:11 AM - Paolo Cavallini
- Status changed from Closed to Reopened

I'm getting the crash when saving after digitizing a polygon across another one, with Avoid intersections on. It obviously depends on some topological
errors in the shp, but QGIS should handle it more graciouosly.

#6 - 2012-06-05 05:22 AM - Jiirgen Fischer

- Status changed from Reopened to Closed

Paolo Cavallini wrote:

2
I'm getting the crash when saving after digitizing a polygon across another one, with Avoid intersections on. It obviously depends on some
topological errors in the shp, but QGIS should handle it more graciouosly.

doesn't sound like a bug in reshaping. Please file a new ticket (with steps to reproduce, backtrace etc...).

Files

poli_estradas_shp.zip 84.3 KB 2012-05-30 Giovanni Manghi
